# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

## [1.5.1] - 2021-11-24

### Changed

- use official docker image instead of installing rclone every time docker is used.

### Fixed

- lock file not always next to the config file.
- update / install bugs.

## [1.5.0] - 2021-11-20

### Added

- Support for multiple paths.
- Improved error handling.
- Allow for specific snapshot to be restored.
- Docker image.

### Fixed

- rclone in docker volumes.

### Changed

- [Breaking Change] Declaration of docker volumes. See: https://autorestic.vercel.app/migration/1.4_1.5.
- [Breaking Change] Hooks default executing directory now defaults to the config file directory. See: https://autorestic.vercel.app/migration/1.4_1.5.

## [1.4.1] - 2021-10-31

### Fixed

- Numeric values from config files not being passed to env.

## [1.4.0] - 2021-10-30

### Added

- Allow specify to specify a backend for location backup.
- Global restic flags.
- Generic ENV support for backends.

### Changed

- Install now only requires `wget`.
- Env variable for the `KEY` has been renamed from `AUTORESTIC_[BACKEND NAME]_KEY` -> `AUTORESTIC_[BACKEND NAME]_RESTIC_PASSWORD`.

### Fixed

- Error handling during upgrade & uninstall.

## [1.3.0] - 2021-10-26

### Added

- Pass restic backup metadata as ENV to hooks.
- Support for `XDG_CONFIG_HOME` and `${HOME}/.config` as default locations for `.autorestic.yaml` file.
- Binary restic flags are now supported.
- Pass encryption keys from env variables or files.

## [1.2.0] - 2021-08-05

### Added

- Community page
- Support for yaml references and aliases.

### Fixed

- Better verbose output for hooks.
- Better error message for bad formatted configs.

## [1.1.2] - 2021-07-11

### Fixes

Don't check all backend when running `forget` or `exec` commands.

## [1.1.1] - 2021-05-17

### Added

- Options for backends.

## [1.1.0] - 2021-05-06

### Added

- use custom restic binary.
- success & failure hooks.

### Fixed

- don't skip other locations on failure.

## [1.0.9] - 2021-05-01

### Fixed

- Validation for docker volumes.

## [1.0.8] - 2021-04-28

### Added

- `--lean` flag to cron command for less output about skipping backups.

### Fixed

- consistent lower casing in usage descriptions.

## [1.0.7] - 2021-04-26

### Added

- Support for `darwin/arm64` aka Apple Silicon.
- Added support for `arm64` and `aarch64` in install scripts.

## [1.0.6] - 2021-04-24

### Added

- Support for rclone.

## [1.0.5] - 2021-04-24

### Fixed

- Correct exit code on backup failure and better logging/output/feedback.
- Check if `from` key is an actual directory.

## [1.0.4] - 2021-04-23

### Added

- Options to add rest username and password in config.

### Fixed

- Don't add empty strings when saving config.

## [1.0.3] - 2021-04-20

### Fixed

- Auto upgrade script was not working on linux as linux does not support writing to the binary that is being executed.

## [1.0.2] - 2021-04-20

### Added

- Add the `cron` tag to backup to backups made with cron.

### Fixed

- Don't unlock lockfile if process is already running.

## [1.0.1] - 2021-04-17

### Added

- Completion command for various shells.

## [1.0.0] - 2021-04-17

- Rewrite in go. See https://autorestic.vercel.app/upgrade for migration.
